boost::geometry::strategy::buffer::join_round Class Reference
strategies: strategies

Let the buffer create rounded corners. More...

List of all members.

## Public Member Functions

| join_round (std::size_t points_per_circle=90)
| Constructs the strategy.

## Detailed Description

Let the buffer create rounded corners.

This strategy can be used as JoinStrategy for the buffer algorithm. It creates a rounded corners around each convex vertex. It can be applied for (multi)linestrings and (multi)polygons. This strategy is only applicable for Cartesian coordinate systems.

## Constructor & Destructor Documentation

boost::geometry::strategy::buffer::join_round::join_round | ( | std::size_t | points_per_circle = `90` | ) | `[explicit]`

Constructs the strategy.

Parameters:

  points_per_circle | points which would be used for a full circle

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK